Search homes for sale, for rent or sold
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.zillow.search({ location: "Austin, TX" });
console.log(result.data.listings);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.zillow.search(location="Austin, TX")
print(result["data"]["listings"])
curl -X POST https://api.stophy.dev/v1/zillow/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"location":"Austin, TX"}'
stophy zillow search --location "Austin, TX"
{
"success": true,
"data": {
"listings": [
{
"id": "abc123",
"url": "https://example.com/",
"status": "forSale",
"statusText": "example",
"price": 19.99,
"currency": "USD",
"address": {
"full": "example",
"street": "example",
"city": "example",
"state": "example",
"postalCode": "example",
"country": "us"
},
"location": {
"lat": 1,
"lng": 1
},
"bedrooms": 1,
"bathrooms": 1,
"sqft": 1,
"homeType": "example",
"daysOnZillow": 1,
"lastSoldAt": "2026-09-28T12:00:00.000Z",
"zestimate": 1,
"rentZestimate": 1,
"broker": {
"name": "Example title"
},
"image": "https://example.com/image.jpg",
"building": {
"name": "Example title",
"minRent": 1,
"maxRent": 1,
"availableUnits": 1,
"units": [
{
"bedrooms": 1,
"price": 19.99
}
]
}
}
],
"total": 1234
},
"creditsUsed": 3,
"requestId": "0765738f-a71b-4e84-be71-84fcfbf2a56c"
}
Endpoints
| Endpoint | Cost |
|---|---|
| Search homes for sale, for rent or sold | 3 credits per 41 items, at least 3 credits |
| Get a home’s details, price and Zestimate | 3 credits |
| Search Redfin homes for sale or sold | 1 credit per 20 items, at least 1 credit |
| Get a home’s details and estimate | 1 credit |
| Search Realtor.com homes for sale or sold | 1 credit per 20 items, at least 1 credit |
| Get a home’s details and price | 1 credit |
| Search UK homes for sale or rent | 1 credit per 24 items, at least 1 credit |
| Get a Rightmove property’s details | 1 credit |
| Search German homes for rent or sale | 1 credit per 25 items, at least 1 credit |
| Get an ImmoScout listing’s details | 1 credit |
More ways to call it
Search Redfin homes for sale or sold
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.redfin.search({ location: "Seattle, WA" });
console.log(result.data.listings);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.redfin.search(location="Seattle, WA")
print(result["data"]["listings"])
curl -X POST https://api.stophy.dev/v1/redfin/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"location":"Seattle, WA"}'
stophy redfin search "Seattle, WA"
Search Realtor.com homes for sale or sold
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.realtor.search({ location: "Denver, CO" });
console.log(result.data.listings);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.realtor.search(location="Denver, CO")
print(result["data"]["listings"])
curl -X POST https://api.stophy.dev/v1/realtor/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"location":"Denver, CO"}'
stophy realtor search "Denver, CO"
Pass the listing URL from a search result into that site’s property endpoint for the full listing.